@font-face{
  font-family: oldstyle1hplhs;
  src: url(/stylesheets/fonts/OldStyle1HPLHS.woff2);
}

@keyframes fade-in{
  0% {opacity: 0; transform: scale(0.95);}
  100% {opacity: 1; transform: scale(1);}
}

@keyframes fade-in-fg-r{
  0% {opacity: 0; transform: translate(60px, 40px) rotate(8deg) scale(0.9);}
  100% {opacity: 1; transform: translate(0, 0) rotate(0) scale(1);}
}

@keyframes fade-in-fg-l{
  0% {opacity: 0; transform: translate(-60px, -40px) rotate(-8deg) scale(0.9);}
  100% {opacity: 1; transform: translate(0, 0) rotate(0) scale(1);}
}

@keyframes sway{
  0% {transform: rotate(0deg) translateY(0);}
  25% {transform: rotate(3deg) translateY(3px);}
  75% {transform: rotate(-3deg) translateY(-3px);}
  100% {transform: rotate(0deg) translateY(0);}
}

*{
  box-sizing: border-box;
  image-rendering: pixelated;
  margin: 0;
  cursor: url(/images/shrines/shesgreen/default-cursor.png), auto;
}

a *, a, button *, button{
  cursor: url(/images/shrines/shesgreen/default-pointer.png), pointer;
}

::selection{
  color: #bdd1ca;
  background: transparent;
}

::-webkit-scrollbar{
  width: 8px;
  height: 8px;
}

::-webkit-scrollbar-track{
  border-radius: 3px;
  border: 1px dotted #c1c5c5;
}
 
::-webkit-scrollbar-thumb{
  border: 2px solid #ffffff;
  border-radius: 3px;
  background: linear-gradient(to bottom, #e0e3e4 0%,#c7d3d5 10%,#b2bec2 25%,#b4c2c6 37%,#b7c5c9 50%,#a9bbc0 51%,#c4d3d4 83%,#e0e3e4 100%);
}

::-webkit-scrollbar-thumb:hover{
  background: linear-gradient(to bottom, #a1b3b7 0%,#99a9ad 10%,#89979d 25%,#8a99a0 37%,#8c9da4 50%,#788b92 51%,#96aaac 83%,#a4bab9 100%);
}

#s-m-t-tooltip{
  width: fit-content;
  z-index: 9999;
  font-size: 12px;
  font-weight: bold;
  text-align: center;
  background: #ffffff;
  border-radius: 5px;
  margin: 12px 5px 7px 10px;
  padding: 0.5em 0.75em;
  box-shadow: inset 0 0 2px #7d9795, 1px 1px 0 #7d9795, -1px -1px 0 #ffffff;
}

html::after{
  content: "";
  position: fixed;
  inset: 0;
  box-shadow: inset 0 0 4px 10px #ffffff, inset 0 0 2px 9px #4d6e62;
  outline: 10px solid #ffffff;
  outline-offset: -1px;
  border-radius: 20px;
  pointer-events: none;
}

body{
  font-family: oldstyle1hplhs;
  font-size: 14px;
  line-height: 1.1;
  word-spacing: 4px;
  color: #7d9795;

  &::before{
    content: "";
    position: fixed;
    pointer-events: none;
    z-index: -999;
    inset: 0;
    background: url("/images/shrines/shesgreen/bg.png") center / cover;
  }
}

main{
  margin: 5% 0;
  gap: 5em !important;
  align-items: center;
}

main, #music-toggle, #home{
  opacity: 0;
  animation: fade-in 5s forwards;
}

.outer{
  position: relative;
  width: fit-content;
  padding: 0.5em;
  border-radius: 12px;
  box-shadow: inset 0 0 3px #7d9795, 1px 1px 0 #7d9795, -1px -1px 0 #ffffff;
  background: linear-gradient(to bottom, #ffffff 0%,#dee4e4 50%,#e0e6e5 51%,#ffffff 100%);
}

.fc, .fr{
  position: relative;
  display: flex;
  gap: 1em;
}

.fc{
  flex-direction: column;
}

section{
  overflow-y: auto;
  text-align: justify;
  background: url(/images/other/t-twill-transparent.png);
  background-color: #ffffff;
  border: 1px groove #9eadac;
  outline: 1px dotted #c1c5c5;
  outline-offset: -4px;
  padding: 1em;

  img{
    filter: saturate(0) brightness(2) sepia(0.2) hue-rotate(120deg);
    transition: all 0.2s;
  }

  img:hover{
    filter: none;
  }
}

.photography{
  position: relative;
  justify-content: center;
  z-index: -2;
}

section img, .photography img:not(.decor){
  border-radius: 12px;
  border: 2px groove #ffffff;
  outline: 1px dotted #ffffff;
  outline-offset: -4px;
  box-shadow: 2px 2px 0 #7d9795;
}

a{
  font-style: italic;
  color: #9eadac;
  text-decoration: 1px underline dotted;
}

a:hover{
  color: #c9d3d5;
}

button, #home{
  font-size: 12px;
  color: #9eadac;
  padding: 0.35em;
  background-color: #ffffff;
  border: none;
  border-radius: 50%;
  box-shadow: inset -1px -1px 1px #c9d3d5, 0 0 2px #c1d4d3;
  transition: all 0.1s;
}

button:active, #home:active, .playing{
  background-color: #b4c4c1;
  box-shadow: inset 0 0 2px #7d9795, 0 0 2px #9eadac;
  color: #ffffff !important;
}

.float-r{
  float: right;
  margin-left: 1em;
}

.float-l{
  float: left;
  margin-right: 1em;
}

#about{
  align-items: center;
  transition: all 0.3s;

  section{
    width: 500px;
    height: 400px;
    border-radius: 5px 5px 10px 10px;
  }
}

#discography{
  > .fc{
    gap: 0.5em;
  }
   
  section{
    width: 600px;
    height: 225px;
    border-radius: 10px 10px 5px 5px;
  }
}

select,
::picker(select) {
  appearance: base-select;
}

::picker(select) {
  border: none;
}

select{
  width: 100%;
  color: inherit;
  font-family: inherit;
  font-size: 12px;
  background: #ffffff;
  box-shadow: inset 0 0 2px #c4d3d4;
  border: 1px dotted #7d9795;
  border-radius: 5px;
  padding: 0.25em 0.5em;
  transition: all 0.2s;
}

option:hover, option:focus{
  background: #b4c2c6;
  color: #ffffff;
  font-weight: bold;
}

option{
  color: #7d9795;
  border: 1px dotted #7d9795;
  padding: 0.25em 0.5em;
  transition: all 0.2s;

  &::checkmark {
    order: 1;
    margin-left: auto;
    content: "⯎";
  }

  &:not(option:last-of-type) {
    border-bottom: none;
  }

   &:first-of-type {
    border-radius: 5px 5px 0 0;
  }

  &:last-of-type {
    border-radius: 0 0 5px 5px;
  }
}

::picker(select) {
  top: calc(anchor(bottom) + 5px);
}

blockquote{
  margin: 0 0.75em;
  padding: 1em;
  color: #9daaa7;
  border: dotted #bec5c5;
  border-width: 1px 0;
  border-radius: 5px;
  font-style: italic;
}

cite{
  text-align: right;
}

#home, #music-toggle{
  position: fixed;
  font-size: 20px;
  border: 1px dotted #ffffff;
  box-shadow: inset 0 0 2px #7d9795, 1px 2px 0 #7d9795, -1px -1px 0 #ffffff;
}

#music-toggle{
  z-index: 9999;
  left: 20px;
  bottom: 20px;
  padding: 0.25em 0.5em;
}

#home{
  z-index: 9999;
  right: 20px;
  top: 20px;
}

/* windows decor */

.tab{
  align-items: center;
  justify-content: space-between;

  > .fr:has(.tab-bar){
    width: 68%;
  }

  > .fr{
    gap: 0.75em;
  }

  .controls{
    gap: 0.25em;
  }
}

.tab-music{
  gap: 0.5em;
  align-items: center;

  .fr{
    gap: 0.25em;
  }

  button{
    font-size: 10px;
  }
}

.tab-bar, .music-bar{
  width: 100%;
  border-radius: 8px 20px 20px 3px;
  box-shadow: inset 0 0 3px #7d9795, inset 2px 2px 2px #ffffff;
}

.tab-bar{
  outline: 1px dotted #ffffff;
  outline-offset: -4px;
  border-radius: 8px 20px 20px 3px;
  background: linear-gradient(to bottom, #e0e9ea 0%,#d8e1e2 10%,#c9d3d5 25%,#cbd5d7 37%,#cdd9db 50%,#bbc9cb 51%,#d7e1e1 83%,#e4eceb 100%);
  margin: 0 0.5em 0.5em 0;
}

.music-bar{
  position: relative;
  outline: 1px dotted #c1c5c5;
  outline-offset: 2px;
  height: 5px;
  border-radius: 3px;
  background: #d8dfe2;

  &::before{
    content: "";
    position: absolute;
    top: -3px;
    left: 100px;
    width: 15px;
    height: 8px;
    border-radius: 3px;
    background: #ffffff;
    box-shadow: 1px 1px 0 #7d9795;
    border: 1px solid #c1c5c5;
  }
}

.controls{
  padding: 0 0.35em;
  align-items: center;

  button:not(:nth-child(1)){
    font-size: 12px;
    color: #c9d3d5;
  }

  button:nth-child(1){
    font-size: 16px;
  }
}

.tab-line{
  width: 1px;
  margin: 0.35em 0 0.75em 0;
  box-shadow: 0 0 2px 1px #c9d3d5;
}

.tab-button{
  gap: 0.5em !important;
  padding: 0 0.25em 0.5em 0.25em;
}

/* decor */

.decor, .fg-decor{
  user-select: none;
  pointer-events: none;
}

.decor{
  position: absolute;
  filter: drop-shadow(1px 1px #4d6e67) drop-shadow(-1px 1px 0 #ffffff);
}

.fg-decor{
  position: fixed;
}

.fg-bf{
  z-index: 999;
  filter: drop-shadow(1px 2px #4d6e67) drop-shadow(-1px 2px 0 #ffffff);
}

#logo{
  z-index: -1;
  top: 0;
  right: -100px;
  filter: drop-shadow(0 0 3px #ffffff) drop-shadow(1px 1px 0 #4d6e67);
  image-rendering: auto;
}

#cluster1{
  left: -30px;
  bottom: 20px;
}

#flower1{
  z-index: -1;
  top: 65px;
  left: -125px;
}

#leaf1{
  z-index: -2;
  top: -35px;
  right: -125px;
}

#leaf2{
  z-index: 2;
  top: -10px;
  left: -25px;
  transition: all 0.3s;
}

#leaf3{
  z-index: 2;
  bottom: -15px;
  right: -45px;
  transition: all 0.3s;
}

#leaf4{
  z-index: -1;
  bottom: -45px;
  left: -130px;
}

#about:hover #leaf2, 
#about:hover #leaf3{
  opacity: 0.1;
}

/* foreground right */

#fg-butterfly1{
  z-index: 999;
  right: 160px;
  bottom: 355px;
  opacity: 0;
  animation: fade-in 3s forwards, sway 5s ease-in-out infinite;
  animation-delay: 1.2s, -1s;
}

#fg-butterfly2{
  z-index: 996;
  right: 295px;
  bottom: 25px;
  opacity: 0;
  animation: fade-in 4s forwards, sway 5s ease-in-out infinite;
  animation-delay: 0.4s, -3s;
}

#fg-leaf1{
  z-index: 996;
  right: -25px;
  bottom: 445px;
  opacity: 0;
  animation: fade-in-fg-r 3.5s forwards;
}

#fg-flower1{
  z-index: 997;
  right: 50px;
  bottom: -85px;
  opacity: 0;
  animation: fade-in-fg-r 4s forwards;
}

#fg-flower2{
  z-index: 998;
  right: -85px;
  bottom: -35px;
  opacity: 0;
  animation: fade-in-fg-r 3s forwards;
}

/* foreground left */

#fg-butterfly3{
  z-index: 999;
  left: 235px;
  top: 270px;
  opacity: 0;
  animation: fade-in 3s forwards, sway 5s ease-in-out infinite;
  animation-delay: 0.8s, -2s;
}

#fg-leaf2{
  z-index: 998;
  left: -40px;
  top: -25px;
  opacity: 0;
  animation: fade-in-fg-l 4s forwards;
}

#fg-flower3{
  z-index: 997;
  left: -30px;
  top: 160px;
  opacity: 0;
  animation: fade-in-fg-l 3s forwards;
}

#fg-flower4{
  z-index: 996;
  left: -85px;
  top: 420px;
  opacity: 0;
  animation: fade-in-fg-l 3.5s forwards;
}

@media (max-width: 1500px){
  .fg-decor{
    display: none;
  }
}